/**
 *  MicroEmulator
 *  Copyright (C) 2001-2007 Bartek Teodorczyk <barteo@barteo.net>
 *
 *  It is licensed under the following two licenses as alternatives:
 *    1. GNU Lesser General Public License (the "LGPL") version 2.1 or any newer version
 *    2. Apache License (the "AL") Version 2.0
 *
 *  You may not use this file except in compliance with at least one of
 *  the above two licenses.
 *
 *  You may obtain a copy of the LGPL at
 *      http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 *
 *  You may obtain a copy of the AL at
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the LGPL or the AL for the specific language governing permissions and
 *  limitations.
 *
 *  @version $Id: ConnectionClosedException.java 877 2007-02-13 02:24:09Z vlads $
 */
package org.microemu.app.ui.swt;

import org.eclipse.swt.widgets.Shell;
import org.microemu.app.ui.Message;
import org.microemu.app.ui.MessageListener;

public class SwtErrorMessageDialogPanel implements MessageListener {
	
	private Shell shell;

	public SwtErrorMessageDialogPanel(Shell shell) {
		this.shell = shell;
	}

	public void showMessage(int level, String title, String text, Throwable throwable) {
		// TODO Add option to show throwable
		int messageType;
		switch (level) {
		case Message.ERROR:
			messageType = SwtMessageDialog.ERROR;
			break;
		case Message.WARN:
			messageType = SwtMessageDialog.WARNING;
			break;
		default:
			messageType = SwtMessageDialog.INFORMATION;
		}
		SwtMessageDialog.openMessageDialog(shell, title, text, messageType);
	}

}
